Subject: RFC 3015 Errors

From: "Brian C. Wiles" <[email-masked]>
Date: Sat, 21 Apr 2001 11:46:40 -0700

Forgive me if this has already been addressed because the list archive 
ends at February.  I've noticed that the ASN.1 description in RFC 3015 has 
at least a few missing lines and at least one ambiguity.

   1.)  The top line of the definition for the IP4Address on Page 84 is 
missing, but its contents are defined:

         Currently, it reads:

{
   address         OCTET STRING (SIZE(4)),
   portNumber      INTEGER(0..65535) OPTIONAL
}

         I believe it should read:

IP4Address ::= SEQUENCE
{
   address         OCTET STRING (SIZE(4)),
   portNumber      INTEGER(0..65535) OPTIONAL
}

   2.)  The definition for ServiceChangeParm on Page 97 seems to be missing 
a "..." extension marker.

   3.)  The H221NonStandard structure on Page 98 contains a t35CountryCode1 
and t35CountryCode2 in addition to the t35Extension.  Isn't there supposed 
to be only one CountryCode byte plus the Extension?  If all 3 are intended, 
what should the values be for a company in the US (Country Code B500)?

   Shouldn't these be addressed in a future RFC to ensure manufacturers are 
compatible?  Or, am I completely off base here? :)  Thanks.
         -Brian

---
Brian C. Wiles
Chief Executive Officer
StreamComm
+1 (916) 501-4349
http://www.streamcomm.com